package request

// Paging common input parameter structure
type PageInfo struct {
	Page     int `json:"page" form:"page"`         // 页码
	PageSize int `json:"pageSize" form:"pageSize"` // 每页大小
}

// Find by id structure
type GetById struct {
	ID float64 `json:"id" form:"id"` // 主键ID
}

type IdsReq struct {
	Ids []int `json:"ids" form:"ids"`
}

// Get role by id structure
type GetAuthorityId struct {
	AuthorityId string // 角色ID
}

type Empty struct{}

type ApiOwnReq struct {
	ApiUrl    string      `json:"apiUrl"`
	ApiMethod string      `json:"apiMethod"`
	ApiData   interface{} `json:"apiData"`
}

type ApiOwnReply struct {
	Code int         `json:"code"`
	Data interface{} `json:"data"`
	Msg  string      `json:"msg"`
}

type IndexReq struct {
	Version  string `json:"version"`
	UserType int    `json:"userType" form:"userType"`
}

type ApiFieldReq struct {
}

type ApiFieldReply struct {
	Code int         `json:"code"`
	Data interface{} `json:"data"`
	Msg  string      `json:"msg"`
}
