package request

import (
	"gin-vue-admin/model"
)

//支付
type GetPointsLogListReq struct {
	PageInfo
	UserId     int `json:"userId"`     //用户id
	Source     int `json:"source"`     //积分来源
	ChangeType int `json:"changeType"` //积分来源
}

// User register structure
type GetPointsLogListReply struct {
	List       []model.PointsLog `json:"list"`
	Total      int64             `json:"total"`
	PointsData PointsData        `json:"pointsData"`
}

type PointsData struct {
	PointsTotal       int `json:"pointsTotal"`
	PointsIncomeTotal int `json:"pointsIncomeTotal"`
	PointsExpendTotal int `json:"pointsExpendTotal"`
}

type PointsLogInsertReq struct {
	Id           int    `json:"id"` // 主键ID
	Phone        string `json:"phone"`
	HospitalCode string `json:"hospitalCode"`
	UserId       int    `json:"userId"`
	ChangeType   int    `json:"changeType"`
	ChangeTime   string `json:"changeTime"`
	ChangeNum    int    `json:"changeNum"`
	NowPointsNum int    `json:"nowPointsNum"`
	Remark       string `json:"remark"`
	OtherNo      string `json:"otherNo"`
	Source       int    `json:"source"`
}

type PointsLogInsertReply struct {
}

type PointsCallBackReq struct {
	AttachInfo    string `json:"attach_info"`
	OutTradeNo    string `json:"out_trade_no"`
	TransactionId string `json:"transaction_id"`
	Type          int    `json:"type"`
}

type GetPointsOrderListReq struct {
	PageInfo
	IsNewUser int `json:"isNewUser"`
}

// User register structure
type GetPointsOrderListReply struct {
	List []model.PointsOrder `json:"list"`
}

type PointsOrderInsertReq struct {
	OrderNo  string `json:"orderNo"`
	UserId   int    `json:"userId"`
	VipLevel int    `json:"vipLevel"`
	VipMoney int    `json:"vipMoney"`
	PayMoney int    `json:"payMoney"`
	Status   int    `json:"status"`
}

type PointsOrderInsertReply struct {
}

type PointsOrderUpdateReq struct {
	OrderNo string `json:"orderNo"`
	Status  int    `json:"status"`
}

type PointsOrderUpdateReply struct {
}

type PointsNumByMobileReply struct {
	HospitalNum int64 `json:"hospitalNum"`
	DoctorNum   int64 `json:"doctorNum"`
}
