package request

type CreateStudyMvViewReq struct {
	Id     int `json:"id"`
	MvView int `json:"mvView"`
}

//
type UserStatisticsReq struct {
	PageInfo
	StartDataTime string `json:"startDataTime" form:"startDataTime"`
	EndDataTime   string `json:"endDataTime" form:"endDataTime"`
	Mobile        string `json:"mobile" form:"mobile"`
}

// User register structure
type UserStatisticsReply struct {
	UserData UserStatisticsLogin     `json:"userData"`
	Report   []UserStatisticsReport  `json:"report"`
	StudyMv  []UserStatisticsStudyMv `json:"studyMv"`
}

type UserStatisticsLogin struct {
	UserId    int    `json:"userId"`
	NickName  string `json:"nickName"`
	Mobile    string `json:"mobile"`
	VipLevel  string `json:"vipLevel"`
	DataTime  string `json:"dataTime"`
	LoginTime string `json:"loginTime"`
}

type UserStatisticsReport struct {
	ReportPart        string `json:"reportPart"`
	ReportMainOrginId string `json:"reportMainOrginId"`
	Count             int    `json:"count"`
	UserId            int    `json:"userId"`
	Tag               string `json:"tag"`
}

type UserStatisticsStudyMv struct {
	Cate              string `json:"cate"`
	StudyType         string `json:"studyType"`
	Title             string `json:"title"`
	Count             int    `json:"count"`
	UserId            int    `json:"userId"`
	ViewDate          string `json:"viewDate"`
	ReportMainOrginId string `json:"reportMainOrginId"`
	CreateTime        string `json:"createTime"`
}

type UserStatisticsStudyMv2 struct {
	Count             int     `json:"count"`
	UserId            int     `json:"userId"`
	ViewDate          float64 `json:"viewDate"`
	ReportMainOrginId string  `json:"reportMainOrginId"`
	CreateTime        string  `json:"createTime"`
}

type UserLoginYear struct {
	Years      string `json:"years"`
	CYear      int    `json:"c_year"`
	UserId     string `json:"user_id"`
	CreateTime string `json:"create_time"`
}

type GetUserStatisticsListExcel2Reply struct {
	UserId         string `json:"userId"`
	NickName       string `json:"nickName"`
	Mobile         string `json:"mobile"`
	VipLevel       string `json:"vipLevel"`
	LoginCount2021 int    `json:"loginCount2021"`
	LoginCount2022 int    `json:"loginCount2022"`
	LoginCount2023 int    `json:"loginCount2023"`
	LoginDate      string `json:"loginDate"`
	ReportCount    int    `json:"reportCount"`
	MvCount        int    `json:"mvCount"`
	MvDateCount    string `json:"mvDateCount"`
}
