package model

import (
	"gin-vue-admin/global"

	uuid "github.com/satori/go.uuid"
)

type SysUser struct {
	global.GVA_MODEL
	UUID            uuid.UUID    `json:"uuid" gorm:"comment:用户UUID"`          // 用户UUID
	Mobile          string       `json:"mobile" gorm:"comment:用户登录名"`         // 用户登录名
	Password        string       `json:"-"  gorm:"comment:用户登录密码"`            // 用户登录密码
	IsManager       int          `json:"isManager" gorm:"comment:is_manager"` //
	NickName        string       `json:"nickName" gorm:"comment:用户昵称"`        // 用户昵称
	HeaderImg       string       `json:"headerImg" gorm:"comment:用户头像"`       // 用户头像
	Authority       SysAuthority `json:"authority" gorm:"foreignKey:AuthorityId;references:AuthorityId;comment:用户角色"`
	AuthorityId     string       `json:"authorityId" gorm:"default:888;comment:用户角色ID"`    // 用户角色ID
	Openid          string       `json:"openid" gorm:"comment:wxopenid"`                   //
	HospitalCode    string       `json:"hospitalCode" gorm:"comment:hospital_code"`        //
	PointsNum       int          `json:"pointsNum" gorm:"comment:points_num"`              //
	PointsNumFreeze int          `json:"pointsNumFreeze" gorm:"comment:points_num_freeze"` //
	QrType          string       `json:"qrType" gorm:"comment:qr_type"`                    //
	RegType         int          `json:"regType" gorm:"comment:reg_type"`                  //
	UserType        int          `json:"userType" gorm:"comment:user_type"`                //
}
