package models

// BusinessTrend 经营趋势model
type BusinessTrend struct {
	Turnover    float64           `json:"turnover" description:"营业额"`
	Grossprofit float64           `json:"grossprofit" description:"毛利"`
	Expend      float64           `json:"expend" description:"支出"`
	Chart       []LineChart         `json:"chart" description:"折线图数据"`
	List        []BusinessTrendList `json:"list" description:"list数据"`
}

// BusinessTrendList 经营趋势列表数据
type BusinessTrendList struct {
	Time        string  `json:"time" description:"时间"`
	Turnover    float64 `json:"turnover" description:"营业额"`
	Grossprofit float64 `json:"grossprofit" description:"毛利"`
	Expend      float64 `json:"expend" description:"支出"`
}

// LineChart 经营趋势图表数据
type LineChart struct {
	Year  string `json:"year" description:"时间"`
	Type  string `json:"type" description:"类型"`
	Value string `json:"value" description:"值"`
}
