package models

type DeviceSum struct {
	CollectionMoney float64 `json:"collection_money" description:"收款总额"`
	ExposureCount   int     `json:"exposure_count" description:"曝光总次数"`
}

type DeviceAnalysis struct {
	Amount string `json:"amount" description:"金额"`
	Count  string `json:"count" description:"次数"`
}
type CollectionAnalysis struct {
	Year  string `json:"year" description:"年"`
	Type  string `json:"type" description:"业绩额 或 提成"`
	Value string `json:"value" description:"曝光次数"`
}

type CollectionDistribution struct {
	Item    string `json:"item" description:"城市名称"`
	Amount  string `json:"amount" description:"金额"`
	Count   string `json:"count" description:"次数"`
	Royalty string `json:"royalty" description:"百分比"`
}

type HospitalRank struct {
	Name            string  `json:"name" description:"医院名称"`
	CollectionMoney float64 `json:"collection_money" description:"这个医院收款总额"`
}

type HospitalRankDetail struct {
	Year  string  `json:"year" description:"年"`
	Type  float64 `json:"type" description:"业绩额 或 提成"`
	Value float64 `json:"value" description:"曝光次数"`
}

type DeviceCategory struct {
	DeviceId    int          `json:"device_id" description:"设备id"`
	DeviceName  string       `json:"device_name" description:"设备名称"`
}