package models

// Expend 支出管理列表
type Expend struct {
	ID         int64   `json:"id" description:"支出单 id"`
	HappenTime string  `json:"happen_time" description:"支出时间"`
	Usage      string  `json:"usage" description:"支出用途"`
	Money      float64 `json:"money" description:"支出金额"`
}

type ExpendInfo struct {
	ID                int64      `json:"id" description:"支出单 id"`
	OrderCode         string     `json:"order_code" description:"支出单号"`
	Usage             string     `json:"usage" description:"支出用途"`
	Money             float64    `json:"money" description:"支出金额"`
	HappenTime        string     `json:"happen_time" description:"支出时间"`
	OperateID         int64      `json:"operate_id" description:"操作人id"`
	OperateName       string     `json:"operate_name" description:"操作人姓名"`
	Description       string     `json:"description" description:"备注"`
	ExpendType        uint       `json:"expend_type" description:"支出类型 0：普通支出 1：摊销支出 2：折旧支出"`
	DeviceType        string     `json:"device_type"  description:"设备类型"`
	DepreRate         float64    `json:"depreration"  description:"折旧率"`
	DepreYear         int64      `json:"depreyear" description:"折旧年限"`
	AmortizeStartTime string     `json:"amortizestarttime" description:"摊销或折损的开始时间"`
	AmortizeEndTime   string     `json:"amortizeendtime" description:"摊销或折损的结束时间"`
	EventTime         string     `json:"event_time" description:"创建日期"`
	PayData           []PayModel `json:"paydata" description:"支出方式"`
}

type PayModel struct {
	ID    int64   `json:"id"`
	Type  int8    `json:"type" description:"现金:1 银行卡:2 支付宝:3 微信:4 "`
	Money float64 `json:"money" description:"金额"`
}

type Response struct {
	PageData interface{} `json:"page_data" description:"分页后的数据"`
	SumMoney interface{} `json:"sum_money" description:"总金额"`
}

type Sale struct {
	Date       string       `json:"date"`
	Amounts    float64      `json:"amounts"`
	Sale       int          `json:"sale"`
	Seledetail []Seledetail `json:"seledetail"`
}
type Seledetail struct {
	Amount      float64 `json:"amount"`
	ID          int     `json:"id"`
	Num         float64 `json:"num"`
	Project     string  `json:"project"`
	Projecttype string  `json:"projecttype"`
	Royalty     float64 `json:"royalty"`
}
